_target_: models.dp.ImageDiffusionPolicy
action_len: 16
action_dim: ${dataset.shape_meta.action.shape[0]}
obs_encoder:
  _target_: models.dp.ImageObservationEncoder
  shape_meta: ${dataset.shape_meta}
  num_frames: ${obs_num_frames}
  embed_dim: 768
  resize_shape: [240, 320]
  crop_shape: [224, 224]
  random_crop: True
  color_jitter:
    brightness: 0.2
    contrast: 0.2
    saturation: 0.2
    hue: [-0.2, 0.2]
  imagenet_norm: True
  pretrained_weights: IMAGENET1K_V1
  use_low_dim: False
  use_language: False
noise_pred_net:
  _target_: models.dp.TransformerNoisePredictionNet
  _partial_: True
  input_len: ${model.action_len}
  input_dim: ${model.action_dim}
  global_cond_dim: ???
  timestep_embed_dim: 256
  embed_dim: 768
  num_heads: 12
  mlp_ratio: 4
  qkv_bias: True
num_train_steps: 100
num_inference_steps: 10